gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Gtk::Table_Helpers::Child Class Reference

Inherits _GtkTableChild.

## Public Member Functions
_GtkTableChild* | gobj ()
const _GtkTableChild* | gobj () const
Widget* | get_widget () const
guint16 | get_left_attach () const
guint16 | get_right_attach () const
guint16 | get_top_attach () const
guint16 | get_bottom_attach () const
guint16 | get_xpadding () const
guint16 | get_ypadding () const
bool | get_xexpand () const
bool | get_yexpand () const
bool | get_xshrink () const
bool | get_yshrink () const
bool | get_xfill () const
bool | get_yfill () const

## Protected Member Functions
GtkTable* | parent ()

## Detailed Description

Deprecated:
  Use Container::get_children() instead.

## Member Function Documentation

guint16 Gtk::Table_Helpers::Child::get_bottom_attach | ( |  | ) | const

guint16 Gtk::Table_Helpers::Child::get_left_attach | ( |  | ) | const

guint16 Gtk::Table_Helpers::Child::get_right_attach | ( |  | ) | const

guint16 Gtk::Table_Helpers::Child::get_top_attach | ( |  | ) | const

Widget* Gtk::Table_Helpers::Child::get_widget | ( |  | ) | const

bool Gtk::Table_Helpers::Child::get_xexpand | ( |  | ) | const

bool Gtk::Table_Helpers::Child::get_xfill | ( |  | ) | const

guint16 Gtk::Table_Helpers::Child::get_xpadding | ( |  | ) | const

bool Gtk::Table_Helpers::Child::get_xshrink | ( |  | ) | const

bool Gtk::Table_Helpers::Child::get_yexpand | ( |  | ) | const

bool Gtk::Table_Helpers::Child::get_yfill | ( |  | ) | const

guint16 Gtk::Table_Helpers::Child::get_ypadding | ( |  | ) | const

bool Gtk::Table_Helpers::Child::get_yshrink | ( |  | ) | const

_GtkTableChild* Gtk::Table_Helpers::Child::gobj | ( |  | ) |
| inline

const _GtkTableChild* Gtk::Table_Helpers::Child::gobj | ( |  | ) | const
| inline

GtkTable* Gtk::Table_Helpers::Child::parent | ( |  | ) |
| inline protected

The documentation for this class was generated from the following file:

- gtkmm/table.h